<?php

namespace App\Filament\Resources\Reformes;

use App\Filament\Resources\Reformes\Pages\CreateReforme;
use App\Filament\Resources\Reformes\Pages\EditReforme;
use App\Filament\Resources\Reformes\Pages\ListReformes;
use App\Filament\Resources\Reformes\Schemas\ReformeForm;
use App\Filament\Resources\Reformes\Tables\ReformesTable;
use App\Models\Reforme;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class ReformeResource extends Resource
{
    protected static ?string $model = Reforme::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return ReformeForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return ReformesTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListReformes::route('/'),
            'create' => CreateReforme::route('/create'),
            'edit' => EditReforme::route('/{record}/edit'),
        ];
    }
}
